Package com.independentsoft.office.spreadsheet

# Class DialogSheet

java.lang.Object
com.independentsoft.office.spreadsheet.Sheet
com.independentsoft.office.spreadsheet.DialogSheet

public class DialogSheet extends Sheet
The Class DialogSheet.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.spreadsheet.Sheet

  `drawingObjects, drawingReference, headerFooterSettings, id, name, pageMargins, relationship, visibilityState, vmlDrawing, vmlDrawingHeaderFooter, vmlDrawingHeaderFooterReference, vmlDrawingReference`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialogSheet()`
  Instantiates a new dialog sheet.
  `DialogSheet​(String name)`
  Instantiates a new dialog sheet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DialogSheet`
  `clone()`
  `String`
  `getCodeName()`
  Gets the code name.
  `List<CustomSheetView>`
  `getCustomSheetViews()`
  Gets the custom sheet views.
  `OutlineProperties`
  `getOutlineProperties()`
  Gets the outline properties.
  `PageSetupProperties`
  `getPageSetupProperties()`
  Gets the page setup properties.
  `PageSetupSettings`
  `getPageSetupSettings()`
  Gets the page setup settings.
  `PrintOptions`
  `getPrintOptions()`
  Gets the prints the options.
  `SheetProtection`
  `getSheetProtection()`
  Gets the sheet protection.
  `SheetTabColor`
  `getSheetTabColor()`
  Gets the sheet tab color.
  `String`
  `getSyncReference()`
  Gets the sync reference.
  `List<SheetView>`
  `getViews()`
  Gets the views.
  `boolean`
  `isEnableConditionalFormattingCalculations()`
  Checks if is enable conditional formatting calculations.
  `boolean`
  `isFilterMode()`
  Checks if is filter mode.
  `boolean`
  `isPublished()`
  Checks if is published.
  `boolean`
  `isSyncHorizontal()`
  Checks if is sync horizontal.
  `boolean`
  `isSyncVertical()`
  Checks if is sync vertical.
  `boolean`
  `isTransitionFormulaEntry()`
  Checks if is transition formula entry.
  `boolean`
  `isTransitionFormulaEvaluation()`
  Checks if is transition formula evaluation.
  `void`
  `setCodeName​(String codeName)`
  Sets the code name.
  `void`
  `setEnableConditionalFormattingCalculations​(boolean enableConditionalFormattingCalculations)`
  Sets the enable conditional formatting calculations.
  `void`
  `setFilterMode​(boolean filterMode)`
  Sets the filter mode.
  `void`
  `setPrintOptions​(PrintOptions printOptions)`
  Sets the prints the options.
  `void`
  `setPublished​(boolean published)`
  Sets the published.
  `void`
  `setSheetProtection​(SheetProtection sheetProtection)`
  Sets the sheet protection.
  `void`
  `setSheetTabColor​(SheetTabColor sheetTabColor)`
  Sets the sheet tab color.
  `void`
  `setSyncHorizontal​(boolean syncHorizontal)`
  Sets the sync horizontal.
  `void`
  `setSyncReference​(String syncReference)`
  Sets the sync reference.
  `void`
  `setSyncVertical​(boolean syncVertical)`
  Sets the sync vertical.
  `void`
  `setTransitionFormulaEntry​(boolean transitionFormulaEntry)`
  Sets the transition formula entry.
  `void`
  `setTransitionFormulaEvaluation​(boolean transitionFormulaEvaluation)`
  Sets the transition formula evaluation.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.spreadsheet.Sheet

  `getDrawingObjects, getHeaderFooterSettings, getID, getName, getPageMargins, getVisibilityState, getVmlHeaderFooterObjects, getVmlObjects, setDrawingObjects, setID, setName, setPageMargins, setVisibilityState`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DialogSheet

    public DialogSheet()
    Instantiates a new dialog sheet.

  - ### DialogSheet

    public DialogSheet​(String name)
    Instantiates a new dialog sheet.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public DialogSheet clone()
    Specified by:
      `clone` in class `Sheet`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCustomSheetViews

    public List<CustomSheetView> getCustomSheetViews()
    Gets the custom sheet views.
    Returns:
      the custom sheet views

  - ### getPageSetupSettings

    public PageSetupSettings getPageSetupSettings()
    Gets the page setup settings.
    Returns:
      the page setup settings

  - ### getPrintOptions

    public PrintOptions getPrintOptions()
    Gets the prints the options.
    Returns:
      the prints the options

  - ### setPrintOptions

    public void setPrintOptions​(PrintOptions printOptions)
    Sets the prints the options.
    Parameters:
      `printOptions` - the new prints the options

  - ### getSheetProtection

    public SheetProtection getSheetProtection()
    Gets the sheet protection.
    Returns:
      the sheet protection

  - ### setSheetProtection

    public void setSheetProtection​(SheetProtection sheetProtection)
    Sets the sheet protection.
    Parameters:
      `sheetProtection` - the new sheet protection

  - ### getViews

    public List<SheetView> getViews()
    Gets the views.
    Returns:
      the views

  - ### getOutlineProperties

    public OutlineProperties getOutlineProperties()
    Gets the outline properties.
    Returns:
      the outline properties

  - ### getPageSetupProperties

    public PageSetupProperties getPageSetupProperties()
    Gets the page setup properties.
    Returns:
      the page setup properties

  - ### getSheetTabColor

    public SheetTabColor getSheetTabColor()
    Gets the sheet tab color.
    Returns:
      the sheet tab color

  - ### setSheetTabColor

    public void setSheetTabColor​(SheetTabColor sheetTabColor)
    Sets the sheet tab color.
    Parameters:
      `sheetTabColor` - the new sheet tab color

  - ### getCodeName

    public String getCodeName()
    Gets the code name.
    Returns:
      the code name

  - ### setCodeName

    public void setCodeName​(String codeName)
    Sets the code name.
    Parameters:
      `codeName` - the new code name

  - ### isEnableConditionalFormattingCalculations

    public boolean isEnableConditionalFormattingCalculations()
    Checks if is enable conditional formatting calculations.
    Returns:
      true, if is enable conditional formatting calculations

  - ### setEnableConditionalFormattingCalculations

    public void setEnableConditionalFormattingCalculations​(boolean enableConditionalFormattingCalculations)
    Sets the enable conditional formatting calculations.
    Parameters:
      `enableConditionalFormattingCalculations` - the new enable conditional formatting calculations

  - ### isFilterMode

    public boolean isFilterMode()
    Checks if is filter mode.
    Returns:
      true, if is filter mode

  - ### setFilterMode

    public void setFilterMode​(boolean filterMode)
    Sets the filter mode.
    Parameters:
      `filterMode` - the new filter mode

  - ### isPublished

    public boolean isPublished()
    Checks if is published.
    Returns:
      true, if is published

  - ### setPublished

    public void setPublished​(boolean published)
    Sets the published.
    Parameters:
      `published` - the new published

  - ### isSyncHorizontal

    public boolean isSyncHorizontal()
    Checks if is sync horizontal.
    Returns:
      true, if is sync horizontal

  - ### setSyncHorizontal

    public void setSyncHorizontal​(boolean syncHorizontal)
    Sets the sync horizontal.
    Parameters:
      `syncHorizontal` - the new sync horizontal

  - ### getSyncReference

    public String getSyncReference()
    Gets the sync reference.
    Returns:
      the sync reference

  - ### setSyncReference

    public void setSyncReference​(String syncReference)
    Sets the sync reference.
    Parameters:
      `syncReference` - the new sync reference

  - ### isSyncVertical

    public boolean isSyncVertical()
    Checks if is sync vertical.
    Returns:
      true, if is sync vertical

  - ### setSyncVertical

    public void setSyncVertical​(boolean syncVertical)
    Sets the sync vertical.
    Parameters:
      `syncVertical` - the new sync vertical

  - ### isTransitionFormulaEntry

    public boolean isTransitionFormulaEntry()
    Checks if is transition formula entry.
    Returns:
      true, if is transition formula entry

  - ### setTransitionFormulaEntry

    public void setTransitionFormulaEntry​(boolean transitionFormulaEntry)
    Sets the transition formula entry.
    Parameters:
      `transitionFormulaEntry` - the new transition formula entry

  - ### isTransitionFormulaEvaluation

    public boolean isTransitionFormulaEvaluation()
    Checks if is transition formula evaluation.
    Returns:
      true, if is transition formula evaluation

  - ### setTransitionFormulaEvaluation

    public void setTransitionFormulaEvaluation​(boolean transitionFormulaEvaluation)
    Sets the transition formula evaluation.
    Parameters:
      `transitionFormulaEvaluation` - the new transition formula evaluation